* {
    margin: 0;
    padding: 0;
}

header {
    width: 100%;
    height: 90px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #f8f9fa;
    box-shadow: 0 4px 6px #0000001a;
}

header .logo {
    padding-left: 10px;
    height: 45px;
}

header ul {
    display: flex;
    list-style: none;

}

header ul li {
    padding: 10px 20px;
}
header ul li a {
    text-decoration: none;
    color: black;
    font-size: larger;
    position: relative;
}
header ul li a::after{
    content: '';
    position: absolute;
    bottom: -8px;
    left: 0;
    width: 0;
    height: 2.5px;
    background-color: black;
    transition: all 0.4s ease;
}
header ul li a:hover::after {
    width: 100%;
}

.section-1 {
    width: 100%;
    height: 700px;
    display: flex;
    justify-content: space-between;
    align-items: center;


}

.description {
    width: 30%;
    height: 400px;
    margin-left: 200px;
    margin-top: 100px;
    border-radius: 10px;
    text-align: left;

}

.description h1,
.about-left-container h2 {
    text-transform: uppercase;
    letter-spacing: 2px;
    font-size: 35px;
    font-family: 'Segoe UI', sans-serif;
}

.description p,
.about-left-container p {
    font-size: 18px;
    line-height: 30px;
    color: #555;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

.description p b {
    color: #000000;
}

.description .button_div {
    display: flex;
    justify-content: center;



}

.button_div button {
    width: 150px;
    height: 50px;
    border: 2.5px solid black;
    border-radius: 10px;
    margin: 15px 20px 0 0;
    font-size: 15px;
    font-weight: 350;
    background-color: white;
    cursor: pointer;

}

.button_div button:hover {
    width: 165px;
    height: 53px;
    background-color: black;
    color: white;
    transition: 0.3s ease;
    transform: rotate(5deg);
    font-size: 16px;

}

#image-div {
    margin-top: 100px;

}

#image-div img {
    height: 400px;
    background-color: royalblue;
    margin-right: 250px;
    border: 3px solid black;
    border-radius: 10px;
    background-size: cover;

}

.about-section {
    background-color: #f8f9fa;
    height: 450px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 100px 20px;
}

.about-content {
    max-width: 1200px;
    gap: 60px;
    display: flex;
    align-items: center;
}

.about-section img {
    height: 350px;
    /* margin-left: 250px; */
    border: 3px solid black;
    border-radius: 50%;
    /* background-size: cover; */
}
.about-left-container{
    max-width: 600PX;
    text-align: left;

}

.about-left-container ul{
    list-style-type: none;
    display: flex;
    font-weight: 400;
    font-size: 1rem;
    color: #212529;
    cursor: pointer;
    flex-wrap: wrap;
    gap: 10px;
    line-height: 1.5;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    background-color: transparent;
    user-select: none;
    border: 1px solid transparent;
    

}
.about-left-container li{
    width: auto;
    background-color: #000000;
    color: white;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 16px;
    transition: background-color .3s ease;
    
}
.about-left-container li:hover{
    background-color: #ffffff;
    color: #000000;
    transition: 0.3s ease;
}

.about-left-container .button_div{
    margin-top: 20px;
    float: left;
    padding: 0;
    margin: 0;


}
.section-2 {
    height:auto;
    padding: 50px 0px 50px 0px;

}

.section-2 h1 {
    text-align: center;
    padding-top: 10px;
    font-family: 'Segoe UI', sans-serif;

}

.projects-container {
    display: flex;
    justify-content: space-between;
    margin: 50px;
}

.project-front {
    width: 100%;
    height: 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* justify-content: center; */
    border: 2.5px solid rgb(0, 0, 0);
    border-radius: 13px;

}

.project-front img {
    height: 150px;
    display: inline;
    margin: 30px;
    margin-top: 40px;
    border-radius: 12px 12px 0 0;
}

.project-front h1 {
    display: inline;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}


.project-back {
    width: 100%;
    height: 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* justify-content: center; */
    border: 2.5px solid rgb(0, 0, 0);
    border-radius: 13px;

}

.project-back h1 {
    display: inline;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    margin-top: 30px;
}

.project-back p {
    margin: 20px;
    text-align: center;
    font-size: 21px;
    line-height: 35px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;

}

/*  FLIP start */

.project {
    width: 30%;
    height: 300px;
    perspective: 1000px;
    position: relative;
}

.project-front,
.project-back {
    position: absolute;
    top: 0;
    left: 0;
    backface-visibility: hidden;
    transition: transform 0.6s ease;
}

.project-front {
    transform: rotateY(0deg);
    z-index: 2;
}

.project-back {
    transform: rotateY(180deg);
}

.project:hover .project-front {
    transform: rotateY(-180deg);
}

.project:hover .project-back {
    transform: rotateY(0deg);
}

/* FLIP end  */
.section-3 {
    padding: 5px 30px 15px 30px;
    background-color: #f8f9fa;
}

.section-3 h1 {
    text-align: center;
    font-family: 'Segoe UI', sans-serif;

}

.section-3 .cards {
    display: flex;
    justify-content: space-between;
    /* margin-top: 10px; */
    /* gap: 30px; */
}

.section-3 .cards .card {
    width: 30%;
    height: auto;
    border: .5px solid #0000001a;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
    margin: 15px;
    box-shadow: 0px 10px 10px #0000001a;
    transition: transform .3s ease, box-shadow .3s ease;

}

.card:hover {
    transform: translateY(-7px);
    transition: 0.3s ease;
    box-shadow: 20px 20px 20px #0000001a;
}

.card img {
    width: 100%;
    height: 180px;
    object-fit: cover;
    border-radius: 10px;


}

.card h1 {
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: 25px;
    padding: 10px 0 5px 0;

}

.card p {
    text-align: center;
    color: #333;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;

}

.section-4 {
    background-color: #000000;
    height: 400px;
    width: 80%;
    margin: 10px auto;
    display: flex;
    justify-content: space-between;
    border-radius: 20px;
    padding: 20px;
    margin: 20px auto;
}

.contact-Box {
    width: 50%;
    height: auto;
    background-color: white;
    border-radius: 20px;
    /* padding: 5px; */
}

.contact-Box h1 {
    text-align: center;
    padding-top: 20px;
    font-family: 'Segoe UI', sans-serif;

}

.contact-Box form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
    border-radius: 20px;
}

.contact-Box form input {
    width: 80%;
    height: 40px;
    margin: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 0 10px;
}

.contact-Box form textarea {
    width: 80%;
    height: 60px;
    margin: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
    resize: none;
}

.contact-Box form button {
    width: 80%;
    height: 40px;
    margin: 10px;
    border: none;
    border-radius: 5px;
    background-color: #000000;
    color: white;
    font-size: 16px;
    cursor: pointer;
}

.contact-Box form button:hover {
    background-color: #6fcce8;
    transition: 0.6s ease;
    transform: translateY(-4px);

}

.social-icons {
    /* height: auto; */
    display: flex;
    justify-content: center;
    /* gap: 5px; */

}

.section-4 .social-icons a {
    margin: 3px;
}

.section-4 .social-icons a img {
    font-size: 20px;
    /* color: #f39c12; */
}

.section-4 .social-image {
    width: 50%;
    height: auto;
    border-radius: 20px;
    margin-left: 10px;
}

footer {
    text-align: center;
    padding: 20px;
    background-color: #000000;
    font-family: 'Segoe UI', sans-serif;
    color: white;
}

.footer-top {
    border-bottom: 2.5px solid #ffffff;
    display: flex;
    justify-content: space-between;
}

.footer-top h1 {
    font-family: sans-serif;
    float: left;
    padding-bottom: 10px;
}

.footer-social-icons {
    display: flex;
    gap: 20px;
}

.footer-social-icons a {
    text-decoration: none;
}

footer div p {
    padding: 15px;
}

footer div p a {
    color: white;
}